@import "../../index.scss";

.snackbar {
    position: fixed;
    padding: 0.75rem 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
    width: 100%;
    max-width: 300px;
    background-color: $success;
    border-radius: 7.5px;
    box-shadow: 5px 5px 15px gray("500");
    z-index: 999;
    span {
        cursor: pointer;
        width: 20px;
        height: 20px;
        background-color: #fff;
        border-radius: 50%;
        svg {
            display: block;
            margin: 3px auto;
        }
    }
}
@media screen and (max-width: 1279px) {
    .snackbar {
        bottom: 2rem;
        left: 50%;
        transform: translateX(-50%);
        animation: fadein 0.2s ease-in, fadeout 0.1s ease-out 2.9s;
    }
}

@media screen and (min-width: 1280px) {
    .snackbar {
        top: 5rem;
        right: 5rem;
        animation: fadein_desktop 0.2s ease-in,
            fadeout_desktop 0.1s ease-out 2.9s;
    }
}

@keyframes fadein {
    from {
        bottom: 0;
        opacity: 0;
    }
    to {
        bottom: 2rem;
        opacity: 1;
    }
}

@keyframes fadeout {
    from {
        bottom: 2rem;
        opacity: 1;
    }
    to {
        bottom: 0;
        opacity: 0;
    }
}

@keyframes fadein_desktop {
    from {
        right: 0;
        opacity: 0;
    }
    to {
        right: 5rem;
        opacity: 1;
    }
}

@keyframes fadeout_desktop {
    from {
        right: 5rem;
        opacity: 1;
    }
    to {
        right: 0;
        opacity: 0;
    }
}
